<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier mon mot de passe</h4>
                    </div>
                    <div>
                        <div class="card-body">
                            <form [formGroup]="form">
                                <div class="row">
                                    <div class="col-md-6">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Ancien mot de passe"
                                                   formControlName="ancienmdp" [type]="hide ? 'password' : 'text'" required>
                                            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
                                        </mat-form-field>
                                        <span *ngIf="isValid('ancienmdp')"> Champ ancien mot de passe manquant</span>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="nouveau mot de passe" formControlName="mdp"[type]="hide ? 'password' : 'text'" required>
                                            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' :  'visibility_off'}}</mat-icon>
                                        </mat-form-field>
                                        <span *ngIf="isValid('mdp')"> Champ mot de passe manquant</span>
                                    </div>

                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Confirmer mot de passe"
                                                   formControlName="confirmmdp" [type]="hide ? 'password' : 'text'" required>
                                            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
                                        </mat-form-field>
                                        <span *ngIf="isValid('confirmmdp')"> Champ Confirmer mot de passe manquant</span>
                                    </div>

                                </div>
                                <div class="erreur"> {{errorMessage}} </div>
                            </form>


                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()">
                                Annuler
                            </button>

                            <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                    [disabled]="form.invalid" (click)="modifierMdp()">Modifier
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
